using System;

internal sealed class Delegate464 : MulticastDelegate
{
	public extern double Invoke(object object_0);

	public static double smethod_0(object object_0, Delegate464 delegate464_1)
	{
		return delegate464_1(object_0);
	}

	public extern Delegate464(object object_0, IntPtr intptr_0);

	static Delegate464()
	{
		Class10.smethod_13(typeof(Delegate464).TypeHandle);
	}

	internal static Delegate464 delegate464_0;
}
